
function cap6_ejemplo3
clc;
clear all;
close all;
format short

%parmetros de simulacin
ti=0;  h=0.001; tf = 5;
ts=ti:h:tf; % vector tiempo para  simulacin  
ci=[1; 0]; %condiciones iniciales x1(0)=1, x2(0)=0
%configuracin de la funcin de integracin numrica ode45(...)
opciones=odeset('RelTol',0.001*h,'InitialStep', h, 'MaxStep',h);
[t, x]=ode45(@ejemplo3a,ts,ci,opciones);

 subplot(2,1,1);plot(t,x(:,1)) %grafica la posicin x1(t)
 subplot(2,1,2);plot(t,x(:,2))%grafica la velocidad x2(t)
 
 function xp=ejemplo3a(t,x)
              %vector de estados
              x1=x(1); % posicin articular
              x2=x(2);%velocidad articular
              xp1=sin(x1)+0.8*tanh(x2);
              xp2=cos(x2*x1);
              xp=[ xp1;
                   xp2];             
 end

end
